
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class BatteryData {

    @SerializedName("AlgoChemID")
    private Long algoChemID;
    @SerializedName("AlgoTemperature")
    private Long algoTemperature;
    @SerializedName("BatteryHealthMetric")
    private Long batteryHealthMetric;
    @SerializedName("CellCurrentAccumulator")
    private List<Long> cellCurrentAccumulator;
    @SerializedName("CellCurrentAccumulatorCount")
    private Long cellCurrentAccumulatorCount;
    @SerializedName("CellVoltage")
    private List<Long> cellVoltage;
    @SerializedName("CellWom")
    private List<Long> cellWom;
    @SerializedName("ChargeAccum")
    private Long chargeAccum;
    @SerializedName("ChemID")
    private Long chemID;
    @SerializedName("ChemicalWeightedRa")
    private Long chemicalWeightedRa;
    @SerializedName("CycleCount")
    private Long cycleCount;
    @SerializedName("DOD0")
    private List<Long> dOD0;
    @SerializedName("DODatEOC")
    private Long dODatEOC;
    @SerializedName("DailyMaxSoc")
    private Long dailyMaxSoc;
    @SerializedName("DailyMinSoc")
    private Long dailyMinSoc;
    @SerializedName("DateOfFirstUse")
    private Long dateOfFirstUse;
    @SerializedName("DesignCapacity")
    private Long designCapacity;

    @SerializedName("FullAvailableCapacity")
    private Long fullAvailableCapacity;

    @SerializedName("Dod0AtQualifiedQmax")
    private Long dod0AtQualifiedQmax;
    @SerializedName("DynamicSoc1Vcut")
    private Long dynamicSoc1Vcut;
    @SerializedName("FccComp1")
    private Long fccComp1;
    @SerializedName("FccComp2")
    private Long fccComp2;
    @SerializedName("FilteredCurrent")
    private Long filteredCurrent;
    @SerializedName("Flags")
    private Long flags;
    @SerializedName("GaugeFlagRaw")
    private Long gaugeFlagRaw;
    @SerializedName("GaugeResetCounter")
    private Long gaugeResetCounter;
    @Expose
    private String iMaxAndSocSmoothTable;
    @SerializedName("ISS")
    private Long iSS;
    @SerializedName("ITMiscStatus")
    private Long iTMiscStatus;
    @SerializedName("LifetimeData")
    private LifetimeData lifetimeData;
    @SerializedName("ManufactureDate")
    private Long manufactureDate;
    @SerializedName("MaxCapacity")
    private Long maxCapacity;
    @SerializedName("MfgData")
    private String mfgData;
    @SerializedName("PMUConfigured")
    private Long pMUConfigured;
    @SerializedName("PackCurrentAccumulator")
    private Long packCurrentAccumulator;
    @SerializedName("PackCurrentAccumulatorCount")
    private Long packCurrentAccumulatorCount;
    @SerializedName("PassedCharge")
    private Long passedCharge;
    @SerializedName("PresentDOD")
    private List<Long> presentDOD;
    @SerializedName("Qmax")
    private List<Long> qmax;
    @SerializedName("QmaxDisqualificationReason")
    private Long qmaxDisqualificationReason;
    @SerializedName("Qstart")
    private Long qstart;
    @SerializedName("RSS")
    private Long rSS;
    @SerializedName("RaTableRaw")
    private List<String> raTableRaw;
    @SerializedName("ResScale")
    private Long resScale;
    @SerializedName("ResetData")
    private String resetData;
    @SerializedName("ResetDataComms")
    private Long resetDataComms;
    @SerializedName("ResetDataFirmware")
    private Long resetDataFirmware;
    @SerializedName("ResetDataHardware")
    private Long resetDataHardware;
    @SerializedName("ResetDataSoftware")
    private Long resetDataSoftware;
    @SerializedName("ResetDataWatchDog")
    private Long resetDataWatchDog;
    @SerializedName("Serial")
    private String serial;
    @SerializedName("SimRate")
    private Long simRate;
    @SerializedName("Soc1Voltage")
    private Long soc1Voltage;
    @SerializedName("StateOfCharge")
    private Long stateOfCharge;
    @SerializedName("TrueRemainingCapacity")
    private Long trueRemainingCapacity;
    @SerializedName("UUID")
    private Long uUID;
    @SerializedName("Voltage")
    private Long voltage;
    @SerializedName("WatchdogDebugDump")
    private String watchdogDebugDump;
    @SerializedName("WeightedRa")
    private List<Long> weightedRa;

    public Long getAlgoChemID() {
        return algoChemID;
    }

    public void setAlgoChemID(Long algoChemID) {
        this.algoChemID = algoChemID;
    }

    public Long getAlgoTemperature() {
        return algoTemperature;
    }

    public void setAlgoTemperature(Long algoTemperature) {
        this.algoTemperature = algoTemperature;
    }

    public Long getBatteryHealthMetric() {
        return batteryHealthMetric;
    }

    public void setBatteryHealthMetric(Long batteryHealthMetric) {
        this.batteryHealthMetric = batteryHealthMetric;
    }

    public List<Long> getCellCurrentAccumulator() {
        return cellCurrentAccumulator;
    }

    public void setCellCurrentAccumulator(List<Long> cellCurrentAccumulator) {
        this.cellCurrentAccumulator = cellCurrentAccumulator;
    }

    public Long getCellCurrentAccumulatorCount() {
        return cellCurrentAccumulatorCount;
    }

    public void setCellCurrentAccumulatorCount(Long cellCurrentAccumulatorCount) {
        this.cellCurrentAccumulatorCount = cellCurrentAccumulatorCount;
    }

    public List<Long> getCellVoltage() {
        return cellVoltage;
    }

    public void setCellVoltage(List<Long> cellVoltage) {
        this.cellVoltage = cellVoltage;
    }

    public List<Long> getCellWom() {
        return cellWom;
    }

    public void setCellWom(List<Long> cellWom) {
        this.cellWom = cellWom;
    }

    public Long getChargeAccum() {
        return chargeAccum;
    }

    public void setChargeAccum(Long chargeAccum) {
        this.chargeAccum = chargeAccum;
    }

    public Long getChemID() {
        return chemID;
    }

    public void setChemID(Long chemID) {
        this.chemID = chemID;
    }

    public Long getChemicalWeightedRa() {
        return chemicalWeightedRa;
    }

    public void setChemicalWeightedRa(Long chemicalWeightedRa) {
        this.chemicalWeightedRa = chemicalWeightedRa;
    }

    public Long getCycleCount() {
        return cycleCount;
    }

    public void setCycleCount(Long cycleCount) {
        this.cycleCount = cycleCount;
    }

    public List<Long> getDOD0() {
        return dOD0;
    }

    public void setDOD0(List<Long> dOD0) {
        this.dOD0 = dOD0;
    }

    public Long getDODatEOC() {
        return dODatEOC;
    }

    public void setDODatEOC(Long dODatEOC) {
        this.dODatEOC = dODatEOC;
    }

    public Long getDailyMaxSoc() {
        return dailyMaxSoc;
    }

    public void setDailyMaxSoc(Long dailyMaxSoc) {
        this.dailyMaxSoc = dailyMaxSoc;
    }

    public Long getDailyMinSoc() {
        return dailyMinSoc;
    }

    public void setDailyMinSoc(Long dailyMinSoc) {
        this.dailyMinSoc = dailyMinSoc;
    }

    public Long getDateOfFirstUse() {
        return dateOfFirstUse;
    }

    public void setDateOfFirstUse(Long dateOfFirstUse) {
        this.dateOfFirstUse = dateOfFirstUse;
    }

    public Long getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Long designCapacity) {
        this.designCapacity = designCapacity;
    }

    public Long getFullAvailableCapacity() {
        return fullAvailableCapacity;
    }

    public void setFullAvailableCapacity(Long fullAvailableCapacity) {
        this.fullAvailableCapacity = fullAvailableCapacity;
    }

    public Long getDod0AtQualifiedQmax() {
        return dod0AtQualifiedQmax;
    }

    public void setDod0AtQualifiedQmax(Long dod0AtQualifiedQmax) {
        this.dod0AtQualifiedQmax = dod0AtQualifiedQmax;
    }

    public Long getDynamicSoc1Vcut() {
        return dynamicSoc1Vcut;
    }

    public void setDynamicSoc1Vcut(Long dynamicSoc1Vcut) {
        this.dynamicSoc1Vcut = dynamicSoc1Vcut;
    }

    public Long getFccComp1() {
        return fccComp1;
    }

    public void setFccComp1(Long fccComp1) {
        this.fccComp1 = fccComp1;
    }

    public Long getFccComp2() {
        return fccComp2;
    }

    public void setFccComp2(Long fccComp2) {
        this.fccComp2 = fccComp2;
    }

    public Long getFilteredCurrent() {
        return filteredCurrent;
    }

    public void setFilteredCurrent(Long filteredCurrent) {
        this.filteredCurrent = filteredCurrent;
    }

    public Long getFlags() {
        return flags;
    }

    public void setFlags(Long flags) {
        this.flags = flags;
    }

    public Long getGaugeFlagRaw() {
        return gaugeFlagRaw;
    }

    public void setGaugeFlagRaw(Long gaugeFlagRaw) {
        this.gaugeFlagRaw = gaugeFlagRaw;
    }

    public Long getGaugeResetCounter() {
        return gaugeResetCounter;
    }

    public void setGaugeResetCounter(Long gaugeResetCounter) {
        this.gaugeResetCounter = gaugeResetCounter;
    }

    public String getIMaxAndSocSmoothTable() {
        return iMaxAndSocSmoothTable;
    }

    public void setIMaxAndSocSmoothTable(String iMaxAndSocSmoothTable) {
        this.iMaxAndSocSmoothTable = iMaxAndSocSmoothTable;
    }

    public Long getISS() {
        return iSS;
    }

    public void setISS(Long iSS) {
        this.iSS = iSS;
    }

    public Long getITMiscStatus() {
        return iTMiscStatus;
    }

    public void setITMiscStatus(Long iTMiscStatus) {
        this.iTMiscStatus = iTMiscStatus;
    }

    public LifetimeData getLifetimeData() {
        return lifetimeData;
    }

    public void setLifetimeData(LifetimeData lifetimeData) {
        this.lifetimeData = lifetimeData;
    }

    public Long getManufactureDate() {
        return manufactureDate;
    }

    public void setManufactureDate(Long manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    public Long getMaxCapacity() {
        return maxCapacity;
    }

    public void setMaxCapacity(Long maxCapacity) {
        this.maxCapacity = maxCapacity;
    }

    public String getMfgData() {
        return mfgData;
    }

    public void setMfgData(String mfgData) {
        this.mfgData = mfgData;
    }

    public Long getPMUConfigured() {
        return pMUConfigured;
    }

    public void setPMUConfigured(Long pMUConfigured) {
        this.pMUConfigured = pMUConfigured;
    }

    public Long getPackCurrentAccumulator() {
        return packCurrentAccumulator;
    }

    public void setPackCurrentAccumulator(Long packCurrentAccumulator) {
        this.packCurrentAccumulator = packCurrentAccumulator;
    }

    public Long getPackCurrentAccumulatorCount() {
        return packCurrentAccumulatorCount;
    }

    public void setPackCurrentAccumulatorCount(Long packCurrentAccumulatorCount) {
        this.packCurrentAccumulatorCount = packCurrentAccumulatorCount;
    }

    public Long getPassedCharge() {
        return passedCharge;
    }

    public void setPassedCharge(Long passedCharge) {
        this.passedCharge = passedCharge;
    }

    public List<Long> getPresentDOD() {
        return presentDOD;
    }

    public void setPresentDOD(List<Long> presentDOD) {
        this.presentDOD = presentDOD;
    }

    public List<Long> getQmax() {
        return qmax;
    }

    public void setQmax(List<Long> qmax) {
        this.qmax = qmax;
    }

    public Long getQmaxDisqualificationReason() {
        return qmaxDisqualificationReason;
    }

    public void setQmaxDisqualificationReason(Long qmaxDisqualificationReason) {
        this.qmaxDisqualificationReason = qmaxDisqualificationReason;
    }

    public Long getQstart() {
        return qstart;
    }

    public void setQstart(Long qstart) {
        this.qstart = qstart;
    }

    public Long getRSS() {
        return rSS;
    }

    public void setRSS(Long rSS) {
        this.rSS = rSS;
    }

    public List<String> getRaTableRaw() {
        return raTableRaw;
    }

    public void setRaTableRaw(List<String> raTableRaw) {
        this.raTableRaw = raTableRaw;
    }

    public Long getResScale() {
        return resScale;
    }

    public void setResScale(Long resScale) {
        this.resScale = resScale;
    }

    public String getResetData() {
        return resetData;
    }

    public void setResetData(String resetData) {
        this.resetData = resetData;
    }

    public Long getResetDataComms() {
        return resetDataComms;
    }

    public void setResetDataComms(Long resetDataComms) {
        this.resetDataComms = resetDataComms;
    }

    public Long getResetDataFirmware() {
        return resetDataFirmware;
    }

    public void setResetDataFirmware(Long resetDataFirmware) {
        this.resetDataFirmware = resetDataFirmware;
    }

    public Long getResetDataHardware() {
        return resetDataHardware;
    }

    public void setResetDataHardware(Long resetDataHardware) {
        this.resetDataHardware = resetDataHardware;
    }

    public Long getResetDataSoftware() {
        return resetDataSoftware;
    }

    public void setResetDataSoftware(Long resetDataSoftware) {
        this.resetDataSoftware = resetDataSoftware;
    }

    public Long getResetDataWatchDog() {
        return resetDataWatchDog;
    }

    public void setResetDataWatchDog(Long resetDataWatchDog) {
        this.resetDataWatchDog = resetDataWatchDog;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public Long getSimRate() {
        return simRate;
    }

    public void setSimRate(Long simRate) {
        this.simRate = simRate;
    }

    public Long getSoc1Voltage() {
        return soc1Voltage;
    }

    public void setSoc1Voltage(Long soc1Voltage) {
        this.soc1Voltage = soc1Voltage;
    }

    public Long getStateOfCharge() {
        return stateOfCharge;
    }

    public void setStateOfCharge(Long stateOfCharge) {
        this.stateOfCharge = stateOfCharge;
    }

    public Long getTrueRemainingCapacity() {
        return trueRemainingCapacity;
    }

    public void setTrueRemainingCapacity(Long trueRemainingCapacity) {
        this.trueRemainingCapacity = trueRemainingCapacity;
    }

    public Long getUUID() {
        return uUID;
    }

    public void setUUID(Long uUID) {
        this.uUID = uUID;
    }

    public Long getVoltage() {
        return voltage;
    }

    public void setVoltage(Long voltage) {
        this.voltage = voltage;
    }

    public String getWatchdogDebugDump() {
        return watchdogDebugDump;
    }

    public void setWatchdogDebugDump(String watchdogDebugDump) {
        this.watchdogDebugDump = watchdogDebugDump;
    }

    public List<Long> getWeightedRa() {
        return weightedRa;
    }

    public void setWeightedRa(List<Long> weightedRa) {
        this.weightedRa = weightedRa;
    }

}
